@import url('https://fonts.googleapis.com/css?family=Lato&display=swap');
@import "../../style/miam.scss";

.order-button {
  transition: background linear 66ms;
  position: relative;
  text-transform: uppercase;
  width: 321px !important;

  * {
    vertical-align: middle;
  }

  .miam-logo {
    width: 50px;
    height: auto;
    position: relative;
    margin-top: -2px;
    margin-left: 10px;
  }

  .text {
    display: inline-block;
  }

  .status {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: var(--m-z-index-position-absolute-height);
    background:var(--m-color-primary);
    text-transform: uppercase;
    line-height: 40px;
  }

  &.loading {

    pointer-events: none !important;
    background:var(--m-color-primary-dark);
    color: var(--m-color-grey);

    .miam-logo {
      opacity: .8;
    }

    &:before {
      content: "";
      display: block;
      background-color: rgba(255, 255, 255, 0.4);
      position: absolute;
      top: 0;
      bottom: 0;
      width: 100%;
      height: 100%;
      transform: translateX(0);
      animation: 600ms loading-placeholder ease-in-out infinite;
    }


    @keyframes loading-placeholder {
      0% {
        transform: translateX(-100%);
      }
      100% {
        transform: translateX(100%);
      }
    }

  }

}
